Subject: image-size is meaningless when generating ext4 images

From: Jesse Gibbons <[email-masked]>
Date: Mon, 02 Sep 2019 20:48:27 -0600

The manual says in multiple places the --image-size option should set
the size of a generated ext4 disk image.

I start with a minimalist configuration (attached: minimal.scm) and run
build-minimal-os.sh (attached). I start virt-manager and make a new
virtual machine with the generated img as the disk image. virt-manager
says the disk image is 20G. So far so good...

I run "guix pull" and it fails because it runs out of disk space.

I run df -h and see the partition mounted on / has only 494M.
available.

I run cfdisk /dev/sda and see the first partition is 20G.

I have added quite a bit to the minimal os, but have not changed the
behavior. The attached minimal.scm is my most recent version.

Does anyone know of a way to expand the main partition's size?

Thanks,

-- 
-Jesse